PortScanAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.PortScanAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface PortScanAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, java.io.Serializable

    public interface PortScanAgentConfiguration

extends AgentConfiguration

Configuration for a PortScanAgent

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`int` | `getNumAttempts()`
`java.lang.String` | `getPortList()` The CSV list of ports that need to be scanned If useDefaultPorts is true then this list will be added to the default port list
`int` | `getTimeout()`
`boolean` | `getUseDefaultPortList()` Specifies if the default port list internal to the agent will be used.
`boolean` | `hasNumAttempts()`
`boolean` | `hasPortList()`
`boolean` | `hasTimeout()`
`boolean` | `hasUseDefaultPortList()`
`void` | `setNumAttempts(int attempts)`
`void` | `setPortList(java.lang.String portList)`
`void` | `setTimeout(int tout)`
`void` | `setUseDefaultPortList(boolean use)`

Methods inherited from interface com.collation.platform.model.discovery.agent.AgentConfiguration
`getAgentClassName, getBidiConfigFlag, getBidiConfigFormat, getBidiProfile, getClassPath, getObjectVersion, getOriginalName, getScopeSetName, getSeedClassName, getTemplateClassName, hasAgentClassName, hasBidiConfigFlag, hasBidiConfigFormat, hasBidiProfile, hasClassPath, hasObjectVersion, hasOriginalName, hasScopeSetName, hasSeedClassName, hasTemplateClassName, setAgentClassName, setBidiConfigFlag, setBidiConfigFormat, setBidiProfile, setClassPath, setObjectVersion, setOriginalName, setScopeSetName, setSeedClassName, setTemplateClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPortList

    java.lang.String getPortList()
                                 throws AttributeNotSetException

  The CSV list of ports that need to be scanned If useDefaultPorts is true then this list will be added to the default port list

  Throws:
    `AttributeNotSetException`

### setPortList

    void setPortList(java.lang.String portList)

### hasPortList

    boolean hasPortList()

### getUseDefaultPortList

    boolean getUseDefaultPortList()
                                  throws AttributeNotSetException

  Specifies if the default port list internal to the agent will be used. If set to false only the ports listed in the portList attribute will be used. This defaults to true if omitted.

  Throws:
    `AttributeNotSetException`

### setUseDefaultPortList

    void setUseDefaultPortList(boolean use)

### hasUseDefaultPortList

    boolean hasUseDefaultPortList()

### getTimeout

    int getTimeout()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTimeout

    void setTimeout(int tout)

### hasTimeout

    boolean hasTimeout()

### getNumAttempts

    int getNumAttempts()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumAttempts

    void setNumAttempts(int attempts)

### hasNumAttempts

    boolean hasNumAttempts()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD